summaryrefslogtreecommitdiffstats
path: root/source/d/gdb/gdb.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/gdb/gdb.SlackBuild')
-rwxr-xr-xsource/d/gdb/gdb.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/source/d/gdb/gdb.SlackBuild b/source/d/gdb/gdb.SlackBuild
index fae55a98a..04d0ec420 100755
--- a/source/d/gdb/gdb.SlackBuild
+++ b/source/d/gdb/gdb.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2016, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2016, 2017, 2018, 2020, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gdb
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -63,7 +63,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf gdb-$VERSION
-tar xvf $CWD/gdb-$VERSION.tar.xz || exit 1
+echo "Extracting $CWD/gdb-$VERSION.tar.xz..."
+tar xf $CWD/gdb-$VERSION.tar.xz || exit 1
cd gdb-$VERSION || exit 1
chown -R root:root .
find . \
@@ -73,7 +74,7 @@ find . \
-exec chmod 644 {} \+
# This has been perpetually broken, so we'll default to turning it off:
-GUILE_OPTION=${GUILE_OPTION:"--without-guile"}
+GUILE_OPTION=${GUILE_OPTION:-"--without-guile"}
# Make a build directory:
mkdir build-gdb
@@ -101,6 +102,9 @@ rmdir $PKG/usr/lib${LIBDIRSUFFIX} 2> /dev/null
rm -f $PKG/usr/info/{annotate*,bfd*,configure*,standards*}
rm -rf $PKG/usr/include
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Head back out of the build-gdb directory..
cd ..